Skip to navigation

Validate Customer Credentials

Validate a customer credentials - This endpoint has special rate limiting protections to protect against abuse.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only
Stored Payment Instrumentsmodifystore_stored_payment_instruments
Stored Payment Instrumentsread-onlystore_stored_payment_instruments_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

This endpoint expects an object.
emailstringRequired
Customer email address.
passwordstringRequired
Customer password.
channel_idintegerOptional

ChannelId to check the customer credentials against - If this field is empty we will use channel 1.

Response

Returns if the customer credentials provided are valid or not.
customer_idinteger or nullOptional
Returns the customer ID.
is_validbooleanOptional
indicates if the provided credentials are valid.

Errors

422
Unprocessable Entity Error
429
Too Many Requests Error